Project

General

Profile

Bug #752

YAML::load has problems with older dates

Added by davidw (David Welton) almost 11 years ago. Updated over 8 years ago.

Status:
Closed
Priority:
Normal
Target version:
-
ruby -v:
[ruby-core:19919]

Description

=begin
irb(main):002:0> require 'yaml'
=> true
irb(main):003:0> YAML::load('1900-01-01T00:00:00+00:00')
ArgumentError: time out of range
from /usr/lib/ruby/1.8/yaml.rb:133:in utc'
from /usr/lib/ruby/1.8/yaml.rb:133:in
node_import'
from /usr/lib/ruby/1.8/yaml.rb:133:in load'
from /usr/lib/ruby/1.8/yaml.rb:133:in
load'
from (irb):3
from /usr/lib/ruby/1.8/date.rb:461

There is no reason dates like that shouldn't work.
=end


Files

yaml_datetime.diff (2.79 KB) yaml_datetime.diff yaml datetime patch davidw (David Welton), 11/14/2008 01:04 AM

History

#1

Updated by davidw (David Welton) almost 11 years ago

=begin
Here is a patch that fixes the problem. It's likely to slow things down some, because DateTime is not fast, but at least it doesn't crash...
=end

#2

Updated by shyouhei (Shyouhei Urabe) over 10 years ago

  • Status changed from Open to Closed
  • Assignee set to matz (Yukihiro Matsumoto)
  • % Done changed from 0 to 100

=begin
This issue has been fixed in the repository.
=end

Also available in: Atom PDF